# avoid dependency on X11 libraries
%define without_x       1

Summary:	A user-friendly file manager and visual shell
Name:		mc
Version:	4.8.18
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		http://www.midnight-commander.org/
Source0:	http://ftp.midnight-commander.org/%{name}-%{version}.tar.xz
Source1:	mc-bashrc
Patch0:		mc-4.8.6-decent_defaults.diff
Patch2:		mc-4.8.7-use_okular_for_pdf_files.diff
Patch3:     mc-4.8.16-subshell.patch
BuildRequires:	libext2fs-devel
BuildRequires:	libgpm-devel
BuildRequires:	pam-devel
BuildRequires:	slang-devel
BuildRequires:	glib2-devel
BuildRequires:	autoconf automake libtool
BuildRequires:	bison
BuildRequires:	pkgconfig(libssh2)
%if %without_x
%else
BuildRequires:	X11-devel
%endif
BuildRequires:	gettext-devel
Requires:	groff

%description
Midnight Commander is a visual shell much like a file manager, only with way
more features.  It is text mode, but also includes mouse support if you are
running GPM.  Its coolest feature is the ability to ftp, view tar, zip
files, and poke into RPMs for specific files.

%prep
%setup -q
%patch0 -p0 -b .decent_defaults
%patch2 -p1 -b .use_okular_for_pdf_files
%patch3 -p1 -b .subshell

sed -i 's:|hxx|:|hh|hpp|hxx|:' misc/syntax/Syntax.in

%build
autoreconf -fi
%serverbuild
export X11_WWW="www-browser"
export CFLAGS="$CFlAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wno-strict-aliasing"

%configure2_5x \
    --with-debug \
    --enable-dependency-tracking \
    --without-included-gettext \
    --without-included-slang \
    --with-screen=slang \
    --with-search-engine=glib \
    --enable-nls \
    --enable-charset \
    --enable-largefile \
    --disable-rpath \
    --with-mcfs \
    --enable-vfs-smb \
    --enable-vfs-sftp \
    --enable-vfs-mcfs \
    --enable-extcharset \
    --with-mmap \
%if %without_x
    --without-x
%endif

%make

%install
rm -rf %{buildroot}

#fix mc-wrapper.sh
perl -p -i -e 's/rm -f \"/rm -rf \"/g' lib/mc-wrapper.sh

%makeinstall_std

install -m644 contrib/mc.sh -D %{buildroot}%{_sysconfdir}/profile.d/20mc.sh
install -m644 contrib/mc.csh -D %{buildroot}%{_sysconfdir}/profile.d/20mc.csh
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/mc/mc-bashrc

%{find_lang} %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%dir %{_libexecdir}/mc
%dir %{_libexecdir}/mc/extfs.d
%dir %{_libexecdir}/mc/ext.d
%dir %{_libexecdir}/mc/fish
%dir %{_datadir}/mc
%dir %{_datadir}/mc/skins
%dir %{_datadir}/mc/syntax
%dir %{_datadir}/mc/hints
%dir %{_datadir}/mc/help
%{_sysconfdir}/profile.d/*
%{_sysconfdir}/mc/
%{_bindir}/mc
%{_bindir}/mcdiff
%{_bindir}/mcedit
%{_bindir}/mcview
%{_libexecdir}/mc/cons.saver
%{_libexecdir}/mc/extfs.d/*
%{_libexecdir}/mc/ext.d/*
%{_libexecdir}/mc/fish/*
%{_libexecdir}/mc/mc*.*sh
%{_datadir}/mc/help/*
%{_datadir}/mc/hints/*
%{_datadir}/mc/mc.charsets
%{_datadir}/mc/mc.lib
%{_datadir}/mc/skins/*
%{_datadir}/mc/syntax/*
%{_mandir}/man1/*
%{_datadir}/mc/examples/macros.d/*
%lang(es) %{_mandir}/es/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sr) %{_mandir}/sr/man1/*

%changelog
* Mon Feb 27 2017 adrianomorselli <adrianomorselli> 4.8.18-1uplos2017
- update
- removed old stuff
